package cn.com.qmth.examcloud.core.questions.service;

import java.io.File;

import org.springframework.data.domain.Page;
import org.springframework.web.multipart.MultipartFile;

import cn.com.qmth.examcloud.api.commons.security.bean.User;
import cn.com.qmth.examcloud.core.questions.base.dto.ExportTemplateDto;
import cn.com.qmth.examcloud.core.questions.base.enums.ExportTemplateType;

public interface ExportTemplateService {

    void delete(Long rootOrgId, Long id);

    Page<ExportTemplateDto> getPage(Long rootOrgId, String fileName, String type, int curPage, int pageSize);

    void enable(Long rootOrgId, Long id);

    void disenable(Long rootOrgId, Long id);

    void addFile(User user,Long rootOrgId, String templateName, String type, MultipartFile dataFile);

    File getExportTemplateDirectory(ExportTemplateType type, Long rootOrgId);

    String getExportTemplateName(ExportTemplateType type, Long rootOrgId);

}